Переполнение буфера в Samba

Дата публикации:
15.11.2007
Дата изменения:
17.11.2007
Всего просмотров:
1725
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-5398
CVE-2007-4572
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Samba 2.x
Samba 3.x
Уязвимые версии: Samba 3.0.26a, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "reply_netbios_packet()" в файле nmbd/nmbd_packets.c при отправке NetBIOS ответов. Удаленный пользователь может отправить специально сформированные WINS "Name Registration" запросы, за которыми следуют WINS "Name Query" запросы, вызвать переполнение стека и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости Samba должна быть запущена в качестве WINS сервера (опция "wins support").

2. Уязвимость существует из-за ошибки проверки границ данных при обработке GETDC запросов. Удаленный пользователь может с помощью специально сформированного GETDC запроса вызвать переполнение буфера и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости Samba должна быть сконфигурирована в качестве основного или резервного контроллера домена.

URL производителя: www.samba.org

Решение: Установите последнюю версию 3.0.27 с сайта производителя.

Ссылки: Samba "reply_netbios_packet()" Buffer Overflow Vulnerability

или введите имя

CAPTCHA